---
- hosts: all
  remote_user: ec2-user
  become: yes

  tasks:
    - name: epel
      command: "sudo amazon-linux-extras install epel -y"

    - name: Install Docker
      package:
        name: docker
        state: latest

    - name: Start Docker service
      service:
        name: docker
        state: started
        enabled: yes
 
